
# Anleitung: Deployment eines Otobo-Stacks in Portainer

## 1. Öffnen von Portainer
Logge dich in deine Portainer-Instanz ein.

## 2. Erstellen eines neuen Stacks
- Gehe in der linken Navigationsleiste auf „Stacks“ und klicke auf „Add stack“.

## 3. Name des Stacks
- Gib im Feld **Name** den gewünschten Namen für den Stack ein, z. B. `otoboV1`. 
- Beachte, dass der Name nur aus Kleinbuchstaben, Ziffern, Bindestrichen und Unterstrichen bestehen darf.

## 4. Build-Methode
- Wähle die Option **Repository**, um den Stack aus einem Git-Repository bereitzustellen.

## 5. Git-Repository konfigurieren
- Trage unter **Repository URL** folgende URL ein:  
  `https://github.com/RotherOSS/otobo-docker`
- Gib unter **Reference** die gewünschte Branch oder den Tag ein, z. B. `rel-11_0`.

## 6. Pfad zur `docker-compose.yml`
- Trage in das Feld **Compose path** den Pfad zur Hauptdatei ein:  
  `docker-compose/otobo-base.yml`

## 7. Zusätzliche Compose-Dateien
- Füge eine Override-Datei hinzu, indem du unter **Additional paths** den folgenden Pfad angibst:  
  `docker-compose/otobo-override-http.yml`

## 8. GitOps Updates
- Optional: Aktiviere oder deaktiviere automatische Updates (standardmäßig aktiviert).

## 9. TLS-Überprüfung
- Aktiviere oder deaktiviere „Skip TLS Verification“ entsprechend deiner Umgebung. (Nur aktivieren, wenn dein Git-Server ein selbstsigniertes Zertifikat verwendet.)

## 10. Umgebungsvariablen setzen
Füge unter **Environment variables** die folgenden Variablen hinzu:


| **Name**                         | **Wert**                                                             |
|----------------------------------|----------------------------------------------------------------------|
| COMPOSE_PROJECT_NAME             | otobo                                                                |
| COMPOSE_PATH_SEPARATOR           | :                                                                    |
| COMPOSE_FILE                     | docker-compose/otobo-base.yml:docker-compose/otobo-override-http.yml |
| OTOBO_DB_ROOT_PASSWORD           | t3S7P@s2w0Rd                                                         |
| OTOBO_ELASTICSEARCH_ES_JAVA_OPTS | -Xms512m -Xmx512m                                                    |






## 11. Zugriffssteuerung
- Wähle unter **Access control** aus, ob nur Administratoren Zugriff auf diesen Stack haben sollen, indem du die Option „Administrators“ aktivierst.

## 12. Stack bereitstellen
- Klicke auf „Deploy the stack“, um den Otobo-Stack zu starten.

## 13. Überprüfung des Deployments
- Gehe in der Portainer-Oberfläche zu „Stacks“ und überprüfe den Status des neu erstellten Stacks.
- Stelle sicher, dass alle Container erfolgreich gestartet sind.

## 14. Weitere Konfiguration
- Nach der Bereitstellung kannst du über die Konfigurationsdateien (z. B. `.env`) oder Portainer zusätzliche Anpassungen vornehmen.

---

Falls es weitere Fragen gibt oder Probleme auftreten, lass es mich wissen!
